org.eclipse.ltk.core.refactoring

## Class RefactoringCore

- java.lang.Object
- - org.eclipse.ltk.core.refactoring.RefactoringCore

    public class RefactoringCore
    extends Object

Central access point to access resources managed by the refactoring core plug-in.

Note: this class is not intended to be extended by clients.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static String` `ID_PLUGIN` The id of the Refactoring plug-in (value `"org.eclipse.ltk.core.refactoring"`).

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getConditionCheckingFailedSeverity()` When condition checking is performed for a refactoring then the condition check is interpreted as failed if the refactoring status severity return from the condition checking operation is equal or greater than the value returned by this method.
`static IRefactoringHistoryService` `getHistoryService()` Returns the singleton refactoring history service.
`static IValidationCheckResultQueryFactory` `getQueryFactory()` Returns the query factory.
`static RefactoringContribution` `getRefactoringContribution(String id)` Returns the refactoring contribution with the specified unique id.
`static IUndoManager` `getUndoManager()` Returns the singleton undo manager for the refactoring undo stack.
`static void` `internalSetQueryFactory(IValidationCheckResultQueryFactory factory)` An internal method to set the query factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID_PLUGIN

    public static final String ID_PLUGIN

The id of the Refactoring plug-in (value `"org.eclipse.ltk.core.refactoring"`).

Since:
  3.2
See Also:
  Constant Field Values

### Method Detail

#### getUndoManager

    public static IUndoManager getUndoManager()

Returns the singleton undo manager for the refactoring undo stack.

Returns:
  the refactoring undo manager.

#### getHistoryService

    public static IRefactoringHistoryService getHistoryService()

Returns the singleton refactoring history service.

Returns:
  the refactoring history service
Since:
  3.2

#### getRefactoringContribution

    public static RefactoringContribution getRefactoringContribution(String id)

Returns the refactoring contribution with the specified unique id.

Parameters:
  `id` - the unique id of the contribution
Returns:
  the refactoring contribution, or `null` if in contribution is registered with for this id
Since:
  3.2

#### getConditionCheckingFailedSeverity

    public static int getConditionCheckingFailedSeverity()

When condition checking is performed for a refactoring then the condition check is interpreted as failed if the refactoring status severity return from the condition checking operation is equal or greater than the value returned by this method.

Returns:
  the condition checking failed severity

#### getQueryFactory

    public static IValidationCheckResultQueryFactory getQueryFactory()

Returns the query factory.

Returns:
  the query factory
Since:
  3.1

#### internalSetQueryFactory

    public static void internalSetQueryFactory(IValidationCheckResultQueryFactory factory)

An internal method to set the query factory.

This method is NOT official API. It is a special method for the refactoring UI plug-in to set a dialog based query factory.

Parameters:
  `factory` - the factory to set or `null`
Since:
  3.1
Restriction:
  This method is not intended to be referenced by clients.